<?php
// Filtro para mostrar solo productos en stock cuando se usa ?stock=true en la URL
add_action('pre_get_posts', function($query) {
    if (!is_admin() && $query->is_main_query() && isset($_GET['stock']) && $_GET['stock'] === 'true') {
        $meta_query = $query->get('meta_query') ?: [];
        $meta_query[] = [
            'key' => '_stock_status',
            'value' => 'instock',
            'compare' => '='
        ];
        $query->set('meta_query', $meta_query);
    }
});
