# Changelog

## [1.3.3] - 2024-08-29
### Added
- Se agregaron shortcodes `precio_al_contado` y `precio_en_cuotas` para mostrar precios en la página del producto y en listados de productos.
- Funcionalidad para especificar el ID del producto en los shortcodes.

### Changed
- Mejora en el cálculo de precios para mostrar en la tienda y en la página del producto.

### Fixed
- Corrección de errores en la visualización de precios en la tienda.

### Fixed
- Corrección de un error que luego de colocar un precio personalizado a un producto no se redirigia correctamente.


## [1.3.3] - 2024-08-29
### Added
- Se agregaron shortcodes `[mostrar_precio_contado]`, `[mostrar_precio_cuota]`, `[mostrar_precio_contado_rebajado]` y `[mostrar_precio_cuota_rebajado]` para mostrar precios en la página del producto y en listados de productos.
- Funcionalidad para especificar el ID del producto en los shortcodes.

### Changed
- Mejora en el cálculo de precios para mostrar en la tienda y en la página del producto, considerando tanto el descuento como las cuotas configuradas.

### Fixed
- Corrección de errores en la visualización de precios en la tienda, asegurando que los precios se muestren correctamente según las configuraciones.
- Corrección de un error que causaba problemas en el cálculo de cuotas cuando no se configuraban correctamente en las opciones del plugin.

### Fixed
- Resuelto: Un problema que causaba que el precio al contado personalizado no se visualizara de manera adecuada en ciertas ocasiones. Ahora, todos los precios personalizados se mostrarán correctamente.

## [1.3.4] - 2025-02-17
### Added
- Se agregó la funcionalidad para filtrar productos en stock mediante el parámetro `?stock=true` en la URL.
- Opción para que los usuarios puedan ver solo productos disponibles en la tienda con un enlace o botón que active el filtro.

### Changed
- Optimización en la consulta de productos para mejorar la velocidad al aplicar el filtro de stock.

### Fixed
- Corrección de un problema menor en la generación de URLs con parámetros adicionales al usar el nuevo filtro de stock.
