<?php
/*
Plugin Name: Precio Alternativo WooCommerce
Description: Calcula precios al contado con descuento y en cuotas para productos en WooCommerce.
Version: 1.3.4
Author: Fer S
Author URI: https://fersosa.com/
License: GPL2
*/

function pa_plugin_action_links($links) {
    $settings_link = '<a href="admin.php?page=precio_alternativo">' . __('Configurar', 'precio-alternativo') . '</a>';
    array_unshift($links, $settings_link);
    return $links;
}
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'pa_plugin_action_links');

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Evitar acceso directo
}

// Incluir archivos necesarios
require_once plugin_dir_path( __FILE__ ) . 'admin/settings-page.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/shortcodes.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/product-fields.php';
// Incluir archivo con la funcionalidad de filtrar productos por stock
require_once plugin_dir_path(__FILE__) . 'includes/filter-stock.php';

?>